Questions générales sur Manjaro Linux.
S'il vous plaît, avant de poster, essayez la fonction de recherche du forum.

Nettoyage de Manjaro.

#1Messageil y a 6 mois

Bonjour,
je viens d'installer Manjaro Gnome, et je dois dire qu'un sacré bout de chemin a été fait depuis mon dernier test, elle tourne remarquablement bien.
Je viens du monde de Debian, existe-t-il comme sur cette dernière, une liste de ligne de commande pour nettoyer et garder son système propre ? (autoremove, etc...) Pareil pour supprimer les paquets orphelins ?
Merci :bjr:

Nettoyage de Manjaro.

#2Messageil y a 6 mois

bonjour,

il existe un tableau de correspondance apt/pacman sur le wiki arch

Nettoyage de Manjaro.

#3Messageil y a 6 mois

attention à la commande

sudo pacman -Qdtq | pacman -Rs 
c'est une suppression en masse déconseillé
toujours voir la liste à chaque fois avant

sudo pacman -Qdtq 
Dernière modification par stephaneil y a 6 mois, modifié au total 1 fois.

Nettoyage de Manjaro.

#4Messageil y a 6 mois

Merci à vous !
Tu veux dire quoi par là @stephane ?
Il vaut mieux taper

sudo pacman -Qdtq 
suivi de

sudo pacman -Rs
?

Nettoyage de Manjaro.

#5Messageil y a 6 mois

:bjr:
parfois (très rarement) il peut avoir un cafouillage dans notre base de donné locale de pacman (par exemple la suppression d'un méta-paquet qui va entraîner que notre bureau ou autre soit marqué comme orphelin)
Il est donc bon de vérifier visuellement la liste avec un simple -Qdtq avant de supprimer automatiquement (sans un contrôle visuel préalable) tous les paquets dans cette liste

donc on fait:

pacman -Qdt 
on regarde, et uniquement si l'on a pas de doute :

sudo pacman -Rsn $(pacman -Qdtq)

Nettoyage de Manjaro.

#6Messageil y a 6 mois

+1
Toutefois si la commande sudo pacman -Rsn $(pacman -Qdtq) demande bien le MP, il faudra tout de même confirmer la suppression des paquets affichés en console. Mais une gaffe est vite arrivée comme un appuis par réflexe sur le touche Entrée.
C'est pourquoi il est plus prudent de décomposer la commande.

Nettoyage de Manjaro.

#7Messageil y a 6 mois

Salut,
Herve33 a écrit :
il y a 6 mois
Il vaut mieux taper

sudo pacman -Qdtq 
suivi de

sudo pacman -Rs
?
Si tu as peur de faire une erreur, tu peux toujours copier la liste des paquets dans un fichier texte, au cas où tu aurais à en réinstaller.

pacman -Qdt > ~/orphelins.txt
ou

pacman -Qdtq > ~/orphelins.txt

Nettoyage de Manjaro.

#8Messageil y a 6 mois

papajoke a écrit :
il y a 6 mois
donc on fait:

pacman -Qdt 
on regarde, et uniquement si l'on a pas de doute :

sudo pacman -Rsn $(pacman -Qdtq)
Ouais, j'ai plusieurs fois regardé cette longue liste, et j'ai pas vraiment quoi su en penser, car les packages ont des noms qui ne me dise rien du tout, mais alors rien...
Ou plutôt si ! beaucoup de doutes, si je les supprime :confus:
J'en suis arrivé à me dire que j'ai plein de place sur mon SSD, et que je préfère éviter d'y mettre moi-même le bronx, tant que tout fonctionne bien.
Dernière modification par lopasilveril y a 6 mois, modifié au total 1 fois.

Nettoyage de Manjaro.

#9Messageil y a 6 mois

En général, on se méfie quand on a des paquets Aur, car leurs dépendances ne sont pas gérés par les devs de Manjaro. La plupart du temps, la suppression d'orphelins ne pose pas de souci. Par contre, il est préférable de na pas vider le cache de pacman avec # pacman -Sc si on veut récupérer les paquets requis manquants, du moins le temps de faire le tour..

Nettoyage de Manjaro.

#10Messageil y a 6 mois

Oui je comprend que AUR doit être géré avec beaucoup de précautions. Certains logiciels me sont indispensables quand même. Donc s'il n'y a pas d'orphelin issu de AUR, cela est-il moins risqué ?

Quand même, qui comprend ces avertissements (de pamac-gui) ?

git peut nécessiter perl-libwww: git svn
gramps peut nécessiter graphviz: enable creation of graphs (required for tree reports)
groff peut nécessiter netpbm: for use together with man -H command interaction in browsers
python-beautifulsoup4 peut nécessiter python-lxml: alternative HTML parser
python-html5lib peut nécessiter python-lxml: lxml treebuilder
Comment ne pas avoir de doutes ?
C'est juste l'avertissement avant la liste des suppressions des orphelins avec ses dépendances..
Il y a-t-il une procédure pour vérifier que chaque paquet orphelin n'est plus du tout nécessaire ?
J'ai essayé de suivre les dépendance d'un paquet et je me suis toujours perdu dans l'arborescence des paquets, j'ai mis certains en "explicitement installé" mais ai-je vraiment bien fait ?

Nettoyage de Manjaro.

#11Messageil y a 6 mois

c'est vrai que je suis allé voir mes orphelins par curiorisé, j'ai une belle petite liste mais aucune idée de si je peux ou non supprimer sans risque. En même temps les orphelins peuvent ils poser de réel problème ? C'est un peu comme les clée de registre orpheline chez windows... ca pouvait ralentir un peu le systeme sur un vieux hdd, mais sur ssd... ?

Nettoyage de Manjaro.

#12Messageil y a 6 mois

Bonjour.
pacman -Qo <paquet> te donnera la réponse , mais si le paquet est orphelin, il n'appartiendra à personne.
Si tu veux conserver une dépendance spécifique comme par exemple boost qui peut être requis pour compiler un programme, mais ne servira plus ensuite jusqu'à ce que tu doives le retélécharger pour compiler un autre paquet, tu peux le rendre explicitement installé avec sudo pacman -D --asexplicit boost .
Quoi qu'il en soit, comme dit plus haut, tu pourras les réinstaller depuis le cache si ça manque .

Nettoyage de Manjaro.

#13Messageil y a 6 mois

lemust83 a écrit :
il y a 6 mois
pacman -Qo <paquet> te donnera la réponse , mais si le paquet est orphelin, il n'appartiendra à personne.
Merci pour l'info.
Ceux qui n'appartiennent à personne ne sont donc nécessaire à aucun autre package pour fonctionner, je peux donc supprimer ceux-là ?

[philippe@Probook-450 ~]$ pacman -Qo mathjax
erreur : aucun paquet ne contient mathjax
[philippe@Probook-450 ~]$ pacman -Qo meson
/usr/bin/meson appartient à meson 0.53.0-1
[philippe@Probook-450 ~]$ pacman -Qo python-wheel
erreur : aucun paquet ne contient python-wheel
[philippe@Probook-450 ~]$ pacman -Qo python-docopt
erreur : aucun paquet ne contient python-docopt
[philippe@Probook-450 ~]$ pacman -Qo python2-attrs
erreur : aucun paquet ne contient python2-attrs
[philippe@Probook-450 ~]$ pacman -Qo python-html5lib
erreur : aucun paquet ne contient python-html5lib
[philippe@Probook-450 ~]$ pacman -Qo python-lxml
erreur : aucun paquet ne contient python-lxml
[philippe@Probook-450 ~]$ pacman -Qo gconf
erreur : aucun paquet ne contient gconf
[philippe@Probook-450 ~]$ pacman -Qo gnome-common
erreur : aucun paquet ne contient gnome-common
[philippe@Probook-450 ~]$ pacman -Qo mhwd-catalyst
erreur : aucun paquet ne contient mhwd-catalyst
Et garder ceux-là : ?

[philippe@Probook-450 ~]$ pacman -Qo dkms
/usr/bin/dkms appartient à dkms 2.8.1-1
[philippe@Probook-450 ~]$ pacman -Qo vala
/usr/bin/vala appartient à vala 0.46.5-1
Ai-je bien compris ?

Nettoyage de Manjaro.

#14Messageil y a 6 mois

Dans ton retour, je ne vois que des dépendances de paquets Aur désinstallés . Tu peux tout virer via pacman -Rsn (pacman -Qdtq).
A noter que gconf a été réintroduit récemment et il sera probablement réinstallé.
Au pire, si un truc te manque , il te sera proposer de le réinstaller.

Nettoyage de Manjaro.

#15Messageil y a 6 mois

lopasilver a écrit :
il y a 6 mois
Oui je comprend que AUR doit être géré avec beaucoup de précautions. Certains logiciels me sont indispensables quand même. Donc s'il n'y a pas d'orphelin issu de AUR, cela est-il moins risqué ?

Quand même, qui comprend ces avertissements (de pamac-gui) ?

git peut nécessiter perl-libwww: git svn
gramps peut nécessiter graphviz: enable creation of graphs (required for tree reports)
groff peut nécessiter netpbm: for use together with man -H command interaction in browsers
python-beautifulsoup4 peut nécessiter python-lxml: alternative HTML parser
python-html5lib peut nécessiter python-lxml: lxml treebuilder
Comment ne pas avoir de doutes ?
Ces paquets sont des dépendances optionnelles d'autres paquets, on te prévient seulement que tu pourrais en avoir besoin, ce n'est même pas lié à AUR.
Pour graphviz et gramps, par exemple :

trizen -Si gramps
...

Dépendances opt.      : osm-gps-map: show maps in the geography view
                           graphviz: enable creation of graphs (required for tree reports)
                           python-pyicu: improves localised sorting
                           gtkspell3: enable spell checking in the notes
                           rcs: manage multiple revisions of your family trees
                           python-pillow: crop and convert images to JPG
                           libgexiv2: manage Exif metadata embedded in your media
                           geocode-glib: associate a geographical position to a place name

...
lemust83 a écrit :
il y a 6 mois
pacman -Qo <paquet> te donnera la réponse , mais si le paquet est orphelin, il n'appartiendra à personne.
pacman -Qo sert pour savoir à quel paquet appartient un fichier et non si un paquet est une dépendance d'un autre.

pacman -Qo /usr/bin/bump                                                                           
/usr/bin/bump appartient à mesa-demos 8.4.0-2
À part faire un trizen/yay/yaourt -Qi pour voir si le paquet est requis par un autre, je ne vois pas trop de solution.

Nettoyage de Manjaro.

#16Messageil y a 6 mois

Merci à tous pour ces précisions, je vais potasser ces commandes, en fait j'ai encore besoin de refaire un tour sur les wikis...

[philippe@Probook-450 ~]$ yay -Qi chrome-gnome-shell
Nom                      : chrome-gnome-shell
Version                  : 10.1-3
Description              : Native browser connector for integration with
                           extensions.gnome.org
Architecture             : any
URL                      : https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
Licences                 : GPL
Groupes                  : --
Fournit                  : --
Dépend de                : gnome-shell  python-requests  python-gobject
Dépendances opt.         : --
Requis par               : --
Optionnel pour           : --
Est en conflit avec      : --
Remplace                 : --
Taille installée         : 26,49 KiB
Paqueteur                : Felix Yan <felixonmars@archlinux.org>
Compilé le               : lun. 04 nov. 2019 10:48:49 CET
Installé le              : dim. 15 déc. 2019 18:14:21 CET
Motif d’installation     : Installé comme dépendance d’un autre paquet
Script d’installation    : Non
Validé par               : Signature
Si le champ "Requis par : --" est vide, c'est donc un vrai orphelin, CQFD.
Dommage qu'on ai pas la trace du paquet qui a demandé son installation.

Nettoyage de Manjaro.

#17Messageil y a 6 mois

lopasilver a écrit :
il y a 6 mois
Si le champ "Requis par : --" est vide, c'est donc un vrai orphelin, CQFD.
Dommage qu'on ai pas la trace du paquet qui a demandé son installation.
Il y a un souci parce que le champs Requis n'est pas vide, j'utilise -Sii n'ayant pas le paquet d'installé.

trizen -Sii chrome-gnome-shell                                                                     
Dépôt                    : extra
Nom                      : chrome-gnome-shell
Version                  : 10.1-3
Description              : Native browser connector for integration with extensions.gnome.org
Architecture             : any
URL                      : https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
Licences                 : GPL
Groupes                  : --
Fournit                  : --
Dépend de                : gnome-shell  python-requests  python-gobject
Dépendances opt.         : --
Requis par               : manjaro-gnome-assets  manjaro-gnome-assets-19.0

Nettoyage de Manjaro.

#18Messageil y a 6 mois

il n'y a justement pas de problème, avec -Sii on peut voir quels paquets peuvent avoir besoin de ce paquet orphelin
Attention liste non exhaustive car il faut rajouter les paquets aur ...
On peut juste en déduire qu'aucun de ces paquets n'est installé sur notre machine

Avec cette ligne on a les orphelins avec description et lien (pacman-gui le fait très bien :wink: )

LANG=C pacman -Qdti | awk -F: '/^Name/ {name=$2} /^URL/ {url=$2":"$3} /^Desc/ {printf "%-26s %s %s\n",name,$2,url}'
Éventuellement on peut faire un script pour avoir en + les paquets officiels qui peuvent avoir besoin de l'orphelin

while read -r pkg ; do
 LANG=C pacman -Sii "$pkg" | awk -F: '/^Name/ {name=$2} /^Desc/ {desc=$2} /^URL/ {url=$2":"$3} /^Required By/ {printf "%s : %s %s \n\t util pour : %s\n\n",name,desc,url,$2}'
done< <(pacman -Qdtq)

Nettoyage de Manjaro.

#19Messageil y a 6 mois

Smurf a écrit :
il y a 6 mois
Il y a un souci parce que le champs Requis n'est pas vide
Effectivement ! c"est plutôt louche...
Explication de Ste74 : c'est un méta-paquet : https://forum.manjaro.org/t/is-it-safe- ... s/119982/8
Que j'ai effectivement enlevé, d'où le paquet chrome-gnome-shell qui est orphelin chez moi. Jusqu'à là c'est normal.
Et je comprend aussi pourquoi j'ai eu pas mal de problème avec les extensions de gnome, que j'ai dû réinstaller (mais j'en utilise que trois, et uniquement celles dispo dans les dépôt officiels)
J'ai désinstallé aujourd'hui chrome-gnome-shell et rebooté, RAS
Il sera tjr temps de ré-installer manjaro-gnome-assets au besoin

Nettoyage de Manjaro.

#20Messageil y a 6 mois

papajoke a écrit :
il y a 6 mois
Éventuellement on peut faire un script pour avoir en + les paquets officiels qui peuvent avoir besoin de l'orphelin
Excellent !
Merci Papa ! on peut voir pour chacun de mes orphelins, s'ils sont utiles à un autre paquet (installé ou non) ou complètement dépassés.
Par exemple :

 xorgproto-transfer :  Xorg Proto Transfer Packages  https://xorg.freedesktop.org/ 
	 util pour :  None
"util pour : None" signifie bien qu'aucun paquet actuellement dans les dépôts n'en a besoin ?

Répondre